/*
 * @Author: smallStone
 * @Date: 2018-07-02 14:40:18
 * @Last Modified by: smallStone
 * @Last Modified time: 2018-07-20 16:14:04
 * 基础方法
 */
var base = {
    saveDocument: function () {
        //检查文件是否保存
        try {
            var res,
                document = this.context.document,
                path = document.fileURL().path(),
                name = NSUserName();
            if (!path) {
                //文件从未保存
                this.alert("请先保存文件再上传哦！", "文件未保存")
                res = false
            } else if (document.isDocumentEdited()) {
                //文件编辑后未保存
                // var alert = NSAlert.alloc().init();
                // var plugin = this.context.plugin;
                // var imageFilePath = plugin.urlForResourceNamed("logo.png");
                // var imageData = NSData.dataWithContentsOfURL(imageFilePath);
                // var image = NSImage.alloc().initWithData(imageData);
                // alert.setIcon(image);
                // alert.setInformativeText('请保存文件后再上传');
                // alert.setMessageText('文件未保存');
                // alert.addButtonWithTitle("保存并继续");
                // alert.addButtonWithTitle("我知道了");
                // var code = alert.runModal();
                // if (code == '1000') {
                //     document.saveDocument(nil);
                //     res = true
                // } else {
                //     res = false
                // }
                document.saveDocument(nil);
                res = true;
            } else {
                res = true
            }

            return res
        } catch (e) {
            //读取失败统一按照没有保存来
            this.alert("请先保存文件再上传哦！", "文件未保存")
            log("saveDocument error" + error)
            return false
        }
    },
    openUrl: function (url) {
        try {

            NSWorkspace.sharedWorkspace().openURL(NSURL.URLWithString(url));
        } catch (error) {
            log("openUrl error" + error)
        }
    },
    getUserValue: function (key) {
        var value = NSUserDefaults.standardUserDefaults().objectForKey(key);
        if (value) {
            return value;
        } else {
            return false;
        }
    },
    setUserValue: function (key, val) {
        NSUserDefaults.standardUserDefaults().setObject_forKey(val, key)
        NSUserDefaults.standardUserDefaults().synchronize()
    },

    removeUserValue: function (key) {
        NSUserDefaults.standardUserDefaults().removeObjectForKey(key);
    },

    alert: function (text, title) {
        var alert = NSAlert.alloc().init();
        var plugin = this.context.plugin;
        var imageFilePath = plugin.urlForResourceNamed("logo.png");
        var imageData = NSData.dataWithContentsOfURL(imageFilePath);
        var image = NSImage.alloc().initWithData(imageData);
        alert.setIcon(image);
        alert.setInformativeText(text);
        if (title) {
            alert.setMessageText(title);
        } else {
            alert.setMessageText('似乎出了点小问题~');
        };
        alert.addButtonWithTitle("我知道了");
        alert.runModal();
    },
}