/*
 * @Author: smallStone 
 * @Date: 2018-07-02 14:42:10 
 * @Last Modified by: smallStone
 * @Last Modified time: 2018-07-03 18:47:47
 */
@import 'Lanhu.framework/API/base.js'
@import 'Lanhu.framework/API/layer.js'
@import 'Lanhu.framework/API/style.js'
@import 'Lanhu.framework/API/webview.js'

var lanhu = {
    init: function (context) {
        this.context = context;
        this.version = this.context.plugin.version() + "";
    },
    extend: function (options, target) {
        var target = target || this;

        for (var key in options) {
            target[key] = options[key];
        }
        return target;
    }
}
lanhu.extend(base)
lanhu.extend(layer)
lanhu.extend(style)
lanhu.extend(webview)